{% extends "base.html" %}
{% load humanize %}
{% block metadescription %}
    This is the shopping cart page. Proceed to review your items and place the order.
{% endblock %}
{% block title %}
    Cart - MyEshop
{% endblock %}
{% block content %}
    {% if not cart_items %}
        <div>
            <div class="text-center">
                <br>
                <h1 class="text-center my_title">
                    Your shopping cart is empty
                </h1>
                <br>
                <p class="text-center">
                    Please click <a href="{% url 'item_list' %}">here</a> to continue shopping.
                </p>
            </div>
        </div>
    {% else %}
        <div>
            <div class="text-center">
                <br>
                <h1 class="text-center my_title">
                    Your shopping cart
                </h1>
                <br>
            </div>
        </div>
        <div class="row mx-auto">
            <div class="col-12 col-sm-12 col-md-12 col-lg-6 text-center">
                <table class="table my_custom_table">
                    <thead class="my_custom_thead">
                    <tr>
                        <th colspan="5">
                            Your items
                        </th>
                    </tr>

                    </thead>
                    <tbody>
                    {% for cart_item in cart_items %}
                        <tr>
                            <td>
                                <a href="{{ cart_item.product.get_url }}"><img src="{{ cart_item.product.image.url }}"
                                                                               alt=""
                                                                               class="float-left rounded custom_image"></a>
                            </td>
                            <td class="text-left">
                                {{ cart_item.product.item_name }}
                                <br>
                                Product ID: {{ cart_item.product.id }}
                                <br>
                                Price: {{ cart_item.product.price|intcomma }} CZK
                                <br>
                                Qty: {{ cart_item.quantity }} x {{ cart_item.product.price|intcomma }} CZK
                            </td>
                            <td>
                                Price: {{ cart_item.sub_total|intcomma }} CZK
                            </td>
                            {% if cart_item.quantity < cart_item.product.count_in_stock %}
                                <td>
                                    <a href="{% url 'cart:add_cart' cart_item.product.id %}" class="custom_a"><i
                                            class="fas fa-plus-circle custom_icon"></i></a>&nbsp;<a
                                        href="{% url 'cart:cart_remove' cart_item.product.id %}" class="custom_a"><i
                                        class="fas fa-minus-circle custom_icon"></i></a>&nbsp;<a
                                        href="{% url 'cart:full_remove' cart_item.product.id %}" class="custom_icon"><i
                                        class="fas fa-trash-alt custom_icon"></i></a>
                                </td>
                            {% else %}
                                <td>
                                    &nbsp;<a href="{% url 'cart:cart_remove' cart_item.product.id %}"
                                             class="custom_a"><i
                                        class="fas fa-minus-circle custom_icon"></i></a>&nbsp;<a
                                        href="{% url 'cart:full_remove' cart_item.product.id %}" class="custom_icon"><i
                                        class="fas fa-trash-alt custom_icon"></i></a>
                                </td>
                                <td></td>
                            {% endif %}
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
                <tr>
                    <td class="text-left">
                        Your total is: <strong>{{ total|intcomma }}CZK</strong>
                    </td>
                </tr>
            </div>
        </div>
        <br>
        <div class="col-12 col-sm-12 col-md-12 col-lg-6 text-center">
        <table class="table my_custom_table">
            <thead class="my_custom_thead">
            <tr>
                <th>
                    Checkout
                </th>
            </tr>
            </thead>
            <tbody>
            <tr>
                <td>
                    Please review your shopping cart items before proceeding with the order payment.
                </td>
            </tr>
            </tbody>
        </table>
    {% endif %}
</div>
{% endblock %}